Bug 210132 - Changes to Brazil DST date
Changes to Brazil DST date
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tzdata (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
:
Depends On: 210058
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 07:26 EDT by Petr Machata
Modified: 2015-05-04 21:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2006-0714
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2006-10-10 07:26:42 EDT
+++ This bug was initially created as a clone of Bug #210058 +++

Description of problem:
Because of the second round of Brazilian elections and the bad programming of
the voting machines, DST is being delayed again this year, to avoid the need for
reprogramming all of the machines before the second round.

Current tzdata thinks the change is on Oct 15, but it was delayed to Nov 5. 
Also, the end is scheduled by tzdata for Feb 18, but the official date is Feb 25.

It would be nice if this could be fixed in both FC6 (such that it doesn't get
out with this incorrect info) and earlier versions, and there's only one week
left :-(

Version-Release number of selected component (if applicable):
tzdata-2006j-1.fc6

How reproducible:
Every time

Steps to Reproduce:
1.export TZ=America/Sao_Paulo; date -d 'Nov 4 23:59 2006'; date -d 'Nov 5 01:00
2006'; date -d 'Feb 24 23:59 2007'; date -d 'Feb 25 01:00 2007'
  
Actual results:
Sat Nov  4 23:59:00 BRST 2006
Sun Nov  5 01:00:00 BRST 2006
Sat Feb 24 23:59:00 BRT 2007
Sun Feb 25 01:00:00 BRT 2007

Expected results:
Sat Nov  4 23:59:00 BRT 2006
Sun Nov  5 01:00:00 BRST 2006
Sat Feb 24 23:59:00 BRST 2007
Sun Feb 25 01:00:00 BRT 2007

Additional info:
The presidential decree that establishes these changes is available at
http://www.mme.gov.br/download.do?attachmentId=8112&download (it's a PDF file,
even though the MIME time and the extensions don't say so)
Comment 2 RHEL Product and Program Management 2006-10-10 09:46:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Red Hat Bugzilla 2006-10-18 12:06:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0714.html

Note You need to log in before you can comment on or make changes to this bug.